[tracker/functional-test-improvements: 5/5] functional-tests: Only run tests that are +x



commit 1c65a05d6156ea664b04f0cb9d59f7d8bc32159f
Author: Sam Thursfield <sam thursfield codethink co uk>
Date:   Thu Aug 25 11:14:09 2011 +0100

    functional-tests: Only run tests that are +x
    
    This fixes a regression from the existing behaviour
    
    Fixes GB#655898

 tests/functional-tests/test-runner.sh |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)
---
diff --git a/tests/functional-tests/test-runner.sh b/tests/functional-tests/test-runner.sh
index 8b6be7e..24c0e42 100755
--- a/tests/functional-tests/test-runner.sh
+++ b/tests/functional-tests/test-runner.sh
@@ -2,6 +2,13 @@
 #
 # Test runner script for Tracker's functional tests
 
+SCRIPT=$1
+if test "$SCRIPT" = "python" ; then SCRIPT=$2 ; fi
+if ! test -x $SCRIPT ; then
+    echo "(Skipping $@ - not executable)"
+    exit
+fi
+
 DBUS_SESSION_BUS_PID=
 
 export TEMP_DIR=`mktemp --tmpdir -d tracker-test-XXXX`



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]